import Footnote from "@/components/TempDesignSystem/Text/Footnote"

import { chipVariants } from "./variants"

import type { ChipProps } from "./chip"

export default function Chip({
  children,
  className,
  intent,
  variant,
}: ChipProps) {
  const classNames = chipVariants({
    className,
    intent,
    variant,
  })
  return (
    <Footnote asChild>
      <div className={classNames}>{children}</div>
    </Footnote>
  )
}
